Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyRun

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.plugins.jetty.AbstractJettyRunTask
                      org.gradle.api.plugins.jetty.JettyRun

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, org.gradle.util.Configurable<Task>

    public class JettyRun

extends AbstractJettyRunTask

The `JettyRun` task deploys an exploded web application to an embedded Jetty web container, without first requiring that the web application be assembled into a war, saving time during the development cycle.

Once started, the web container can be configured to run continuously, scanning for changes in the project and automatically performing a hot redeploy when necessary. This allows the developer to concentrate on coding changes to the project using their IDE of choice and have those changes immediately and transparently reflected in the running web container, eliminating development time that is wasted on rebuilding, reassembling and redeploying.

Field Summary

Fields inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask
`consoleScanner, PORT_SYSPROPERTY, reload, scannerListeners`

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`JettyRun()`

Method Summary
`void` | `applyJettyXml()`
`void` | `configureScanner()`
`void` | `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp
`org.gradle.api.plugins.jetty.internal.JettyPluginServer` | `createServer()` create a proxy that wraps a particular jetty version Server object
`void` | `finishConfigurationBeforeStart()`
`FileCollection` | `getClasspath()` Returns the classpath for the web application.
`List<File>` | `getClassPathFiles()`
`org.mortbay.jetty.handler.ContextHandler[]` | `getConfiguredContextHandlers()`
`List<File>` | `getExtraScanTargets()`
`File` | `getJettyEnvXml()`
`File` | `getJettyEnvXmlFile()`
`ScanTargetPattern[]` | `getScanTargetPatterns()`
`File[]` | `getScanTargets()`
`File` | `getWebAppSourceDirectory()`
`File` | `getWebXml()`
`void` | `restartWebApp(boolean reconfigureScanner)`
`void` | `setClasspath(FileCollection classpath)` Set the classpath for the web application
`void` | `setClassPathFiles(List<File> classPathFiles)`
`void` | `setContextHandlers(org.mortbay.jetty.handler.ContextHandler[] contextHandlers)`
`void` | `setExtraScanTargets(List<File> extraScanTargets)`
`void` | `setJettyEnvXml(File jettyEnvXml)`
`void` | `setJettyEnvXmlFile(File jettyEnvXmlFile)`
`void` | `setScanTargetPatterns(ScanTargetPattern[] scanTargetPatterns)`
`void` | `setScanTargets(File[] scanTargets)`
`void` | `setWebAppSourceDirectory(File webAppSourceDirectory)`
`void` | `setWebXml(File webXml)`
`void` | `validateConfiguration()`

Methods inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask
`findJettyWebXmlFile, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.gradle.api.Task
`captureStandardOutput, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, getActions, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getGroup, getInputs, getLogger, getLogging, getName, getOutputs, getPath, getProject, getState, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setEnabled, setGroup, setOnlyIf, setOnlyIf, setProperty`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### JettyRun

    public JettyRun()

Method Detail

### validateConfiguration

    public void validateConfiguration()

  Specified by:
    `validateConfiguration` in class `AbstractJettyRunTask`

### configureWebApplication

    public void configureWebApplication()
                                 throws Exception

  Description copied from class: `AbstractJettyRunTask`
  Subclasses should invoke this to setup basic info on the webapp

  Overrides:
    `configureWebApplication` in class `AbstractJettyRunTask`
  Throws:
    `Exception`

### configureScanner

    public void configureScanner()

  Specified by:
    `configureScanner` in class `AbstractJettyRunTask`

### restartWebApp

    public void restartWebApp(boolean reconfigureScanner)
                       throws Exception

  Specified by:
    `restartWebApp` in class `AbstractJettyRunTask`
  Throws:
    `Exception`

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()
                                        throws Exception

  Specified by:
    `finishConfigurationBeforeStart` in class `AbstractJettyRunTask`
  Throws:
    `Exception`

### applyJettyXml

    public void applyJettyXml()
                       throws Exception

  Specified by:
    `applyJettyXml` in class `AbstractJettyRunTask`
  Throws:
    `Exception`

### createServer

    public org.gradle.api.plugins.jetty.internal.JettyPluginServer createServer()

  Description copied from class: `AbstractJettyRunTask`
  create a proxy that wraps a particular jetty version Server object

  Specified by:
    `createServer` in class `AbstractJettyRunTask`
  Returns:
    The Jetty Plugin Server
  See Also:
    `createServer()`

### getJettyEnvXml

    public File getJettyEnvXml()

### setJettyEnvXml

    public void setJettyEnvXml(File jettyEnvXml)

### getWebXml

    public File getWebXml()

### setWebXml

    public void setWebXml(File webXml)

### getWebAppSourceDirectory

    public File getWebAppSourceDirectory()

### setWebAppSourceDirectory

    public void setWebAppSourceDirectory(File webAppSourceDirectory)

### getScanTargets

    public File[] getScanTargets()

### setScanTargets

    public void setScanTargets(File[] scanTargets)

### getExtraScanTargets

    public List<File> getExtraScanTargets()

### setExtraScanTargets

    public void setExtraScanTargets(List<File> extraScanTargets)

### getJettyEnvXmlFile

    public File getJettyEnvXmlFile()

### setJettyEnvXmlFile

    public void setJettyEnvXmlFile(File jettyEnvXmlFile)

### getClassPathFiles

    public List<File> getClassPathFiles()

### setClassPathFiles

    public void setClassPathFiles(List<File> classPathFiles)

### getScanTargetPatterns

    public ScanTargetPattern[] getScanTargetPatterns()

### setScanTargetPatterns

    public void setScanTargetPatterns(ScanTargetPattern[] scanTargetPatterns)

### getConfiguredContextHandlers

    public org.mortbay.jetty.handler.ContextHandler[] getConfiguredContextHandlers()

  Returns:
    Returns the contextHandlers.

### setContextHandlers

    public void setContextHandlers(org.mortbay.jetty.handler.ContextHandler[] contextHandlers)

### getClasspath

    public FileCollection getClasspath()

  Returns the classpath for the web application.

### setClasspath

    public void setClasspath(FileCollection classpath)

  Set the classpath for the web application

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD